package com.jclark.xsl;

class AncestorQuery implements SubQuery {
  private Matchable match;
  AncestorQuery(Matchable match) {
    this.match = match;
  }
  public NodeIterator select(ProcessContext context, Node node) {
    for (node = node.getParent(); node != null; node = node.getParent()) {
      if (match.matches(context, node))
	return new SingleNodeIterator(node);
    }
    return new SingleNodeIterator(null);
  }
  public SubQuery createUnion(SubQuery query) {
    return null;
  }
}
