package com.jclark.xsl;

class NumberListFormatTemplate {
  private NumberListFormat format = new NumberListFormat();
  private Expression formatExpr = null;
  NumberListFormat instantiate(ProcessContext context, Node sourceNode) throws XSLException {
    if (formatExpr != null) {
      NumberListFormat tem = (NumberListFormat)format.clone();
      tem.setFormat(formatExpr.eval(context, sourceNode));
      return tem;
    }
    return format;
  }

  void setFormat(Expression expr) {
    formatExpr = expr;
  }

  void setFormat(String s) {
    formatExpr = null;
    format.setFormat(s);
  }

  void setLang(String s) {
    format.setLang(s);
  }

  void setLetterValue(String letterValue) {
    format.setLetterValue(letterValue);
  }

  void setDigitGroupSep(String sep) {
    format.setDigitGroupSep(sep);
  }

  void setNDigitsPerGroup(int n) {
    format.setNDigitsPerGroup(n);
  }
}


