package com.jclark.xsl;

class LastOfAnyQualifier extends Qualifier {
  private boolean negated;
  LastOfAnyQualifier(boolean negated, Qualifier next) {
    super(next);
    this.negated = negated;
  }
  boolean matches(ProcessContext context, Node node, int maxAncestors) {
    for (NodeIterator iter = node.getFollowingSiblings(true);;) {
      node = iter.next();
      if (node == null)
	break;
      if (node.getType() == Node.ELEMENT)
	return negated ? true : false;
    }
    return negated ? false : true;
  }
}
