package com.jclark.xsl;

class NotQualifier extends Qualifier {
  private Qualifier negate;

  NotQualifier(Qualifier negate, Qualifier next) {
    super(next);
    this.negate = negate;
  }

  boolean matches(ProcessContext context, Node node, int maxAncestors) {
    return !negate.matches(context, node, maxAncestors);
  }
}
