package com.jclark.xsl;

class SelfQuery implements SubQuery {
  public NodeIterator select(ProcessContext context, Node node) {
    return new SingleNodeIterator(node);
  }
  public SubQuery createUnion(SubQuery query) {
    if (query instanceof SelfQuery)
      return this;
    return null;
  }
}
